%define major	7
%define libname		%mklibname %{name} %{major}
%define develname 	%mklibname %{name} -d

%define debug_package %{nil}

Summary:	A grammar development environment for natural languages
Name:		malaga
Version:	7.12
Release:	10
License:	GPLv2+
Group:		Text tools
URL:		http://home.arcor.de/bjoern-beutel/malaga/
Source:		http://home.arcor.de/bjoern-beutel/malaga/%{name}-%{version}.tgz
# Fix map_file symbol conflict with samba. Upstream can be considered
# inactive but as libvoikko >= 2.2 doesn't use libmalaga anymore, these kind
# of problems won't probably come up.
Patch0:		malaga-rename-map_file.diff

Patch1:		malaga-malshow-lm.patch

BuildRequires:	readline-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	chrpath

%description
Malaga is a software package for the development and application of
grammars that are used for the analysis of words and sentences of
natural languages. It contains a programming language for the
modelling of morphology and syntax grammars.

%package -n %{libname}
Summary:	Malaga shared library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Malaga is a software package for the development and application of
grammars that are used for the analysis of words and sentences of
natural languages. It contains a programming language for the
modelling of morphology and syntax grammars.

This package contains the library needed to run programs dynamically
linked with Malaga.

%package -n %{develname}
Summary:	Headers and static libraries for Malaga development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}malaga7-devel

%description -n %{develname}
Malaga is a software package for the development and application of
grammars that are used for the analysis of words and sentences of
natural languages. It contains a programming language for the
modelling of morphology and syntax grammars.

This package contains the headers and development symlink to library that
programmers will need to develop applications which will use Malaga.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x \
	--disable-rpath \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall INSTALL_INFO=true
chrpath -d %{buildroot}%{_bindir}/* %{buildroot}%{_libdir}/*.so

%files
%doc CHANGES.txt README.txt
%{_bindir}/mal*
%{_datadir}/%{name}
%{_infodir}/%{name}*
%{_mandir}/man1/mal*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_includedir}/malaga.h




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 7.12-10
+ Revision: f8bea2e
- MassBuild#440: Increase release tag


